﻿@import "./StyleSheetRoot.css";



/*#region General Elements. */

body {
    background-color: var(--pageBackgroundColor);
    color: var(--textColor);
    font-family: Calibri;
    font-size: 11pt;
    margin: 0px 0px 0px 0px;
    padding: 0px;
}


#landingPageOuterTable {
    background: radial-gradient(var(--pageBackgroundColor) 5%, var(--groupBoxBackgroundColor) 20%, var(--pageHeaderBarColor));
}


#masterPageHeaderCell {
    background-color: var(--pageHeaderBarColor);
    color: var(--groupBoxBackgroundColor);
}


#logoCell {
    padding-right: 10px;
}


.groupBox {
    background-color: var(--groupBoxBackgroundColor);
    padding: 10px;
    border-radius: var(--defaultBorderRadius);
    box-shadow: var(--bordersColor) 0px 0px 5px 5px;
}


.flatGroupBox {
    border: 1px solid var(--textColor);
    border-radius: var(--defaultBorderRadius);
}


#tableBody {
    direction: ltr;
    text-align: center;
}


.loginBox {
    border: 1px solid var(--brandColor);
    background-color: var(--bgColorLevel1);
    color: var(--brandColor);
    font-size: 16px;
    font-weight: bold;
    padding: 10px;
    animation: fadeIn 2s ease 1 normal;
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


.generalDropDownList {
    font-size: 16px;
    height: 30px;
    border: 1px solid var(--textColor);
    background-color: var(--groupBoxBackgroundColor);
    color: var(--textColor);
}


.generalTextBox {
    border: 1px solid var(--textColor);
    color: var(--textColor);
    background-color: var(--groupBoxBackgroundColor);
    font-size: 16px;
    height: 30px;
    text-align: center;
    border-radius: var(--defaultBorderRadius);
}



input[type="text"],
input[type="password"],
input[type="email"],
input[type="tel"],
input[type="date"],
input[type="datetime-local"],
input[type="number"],
textarea,
select {
    border: 1px solid var(--textColor);
    color: var(--textColor);
    background-color: var(--groupBoxBackgroundColor);
    border-radius: var(--defaultBorderRadius);
}

/*end region*/



/*region Buttons*/

.primaryButton {
    background-color: var(--primaryAccent);
    color: var(--pageBackgroundColor);
    border: 1px solid var(--bordersColor);
    border-radius: var(--defaultBorderRadius);
    height: 30px;
    min-width: 30px;
    cursor: pointer;
    font-size: 14px;
    font-weight: bold;
    padding-left: 5px;
    padding-right: 5px;
}

    .primaryButton:hover {
        background-color: var(--textColor);
    }


.secondaryButton {
    background-color: var(--pageBackgroundColor);
    color: var(--textColor);
    border: 1px solid var(--textColor);
    border-radius: 8px;
    height: 30px;
    min-width: 30px;
    cursor: pointer;
    font-size: 14px;
    font-weight: bold;
    padding-left: 5px;
    padding-right: 5px;
}

    .secondaryButton:hover {
        background-color: var(--textColor);
        color: var(--pageBackgroundColor);
    }


.iconButton {
    height: 30px;
    width: 30px;
    border-radius: 10%;
    cursor: pointer;
}

/*#endregion */



/*#region Links */

a:link {
    text-decoration: none;
}


a:hover {
    text-decoration: underline;
}

/*#endregion */



/*#region Navigation Div and Menu */

#navMenuDiv {
    height: 30px;
    width: 30px;
    overflow: hidden;
}

    #navMenuDiv:hover, #navMenuDiv:focus, #navMenuDiv:focus-visible, #navMenuDiv:focus-within {
        position: relative;
        z-index: 999;
        overflow: visible;
    }


.navMenu {
    background-color: var(--pageHeaderBarColor);
    text-align: left;
    border-width: 0px;
    padding-top: 13px;
    padding-left: 2px;
    padding-right: 2px;
    padding-bottom: 2px;
}


.staticNavMenuItem {
    background-color: var(--pageHeaderBarColor);
    color: var(--pageBackgroundColor);
    border: 1px solid var(--pageBackgroundColor);
    height: 30px;
    padding-left: 3px;
    padding-right: 3px;
    font-size: 13pt;
    font-weight: bold;
}


.staticNavMenuItemHover {
    background-color: var(--pageBackgroundColor);
    color: var(--textColor);
}


.dynamicNavMenuItem {
    background-color: var(--pageBackgroundColor);
    color: var(--textColor);
    border: 1px solid var(--pageHeaderBarColor);
    height: 30px;
    padding-left: 3px;
    padding-right: 3px;
    font-size: 13pt;
}


.dynamicNavMenuItemHover {
    background-color: var(--pageHeaderBarColor);
    color: var(--pageBackgroundColor);
    font-weight: bold;
}

/*#endregion */



/*#region Tables, Headers, Rows, and Cells. */

.activeTable {
    border: 1px solid var(--bordersColor);
    border-spacing: 0px 0px;
    border-radius: var(--defaultBorderRadius);
    overflow: hidden;
}


.activeTableHeader, .inactiveTableHeader, .tableTitleHeader {
    background-color: var(--tableHeaderColor);
    text-align: center;
    font-weight: bold;
    padding: 3px;
    height: var(--defaultTableRowHeight);
}


.lightActiveTableRow, .lightInactiveTableRow, .darkActiveTableRow, .darkInactiveTableRow {
    background-color: var(--groupBoxBackgroundColor);
    text-align: center;
    font-weight: normal;
    padding: 3px;
    height: var(--defaultTableRowHeight);
    white-space: nowrap;
}


.hiddenTableRow {
    height: var(--defaultTableRowHeight);
    text-align: left;
    border-right: none;
    border-bottom: 1px solid var(--bordersColor);
}


.gapRow {
    height: 15px;
}


.tableTitleCell {
    border-top: 1px solid var(--bordersColor);
    border-bottom: 1px solid var(--bordersColor);
    padding: 5px;
}


.borderedCell {
    border-bottom: 1px solid var(--bordersColor);
}


.borderedKeyCell {
    background-color: var(--tableHeaderColor);
    font-weight: bold;
    border-bottom: 1px solid var(--bordersColor);
}


.heavyBorderedCell {
    border-bottom: var(--defaultTableRowHeight) solid var(--tableHeaderColor);
}


.scheduleCell {
    width: 30px;
    padding-right: 2px;
    padding-left: 2px;
    border-radius: 10px;
    border-bottom: 1px solid var(--bordersColor);
}


.dashedScheduleCell {
    width: 30px;
    padding-right: 2px;
    padding-left: 2px;
    border-radius: 10px;
    border: 2px dashed var(--textColor);
}

/*#endregion */



/*#region Pop-Up Panels */

.pnlPopUpMessageBackground {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    opacity: 0.4;
    background-color: black;
}


.pnlPopUpMessage {
    padding: 10px;
    border: 1px;
    border-style: solid;
    border-color: black;
    background-color: #EEEEEE;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: black 0px 0px 10px 10px;
    box-shadow: black 0px 0px 5px 5px;
    /*Specify the maximum height and make it scrolling if exceeded that.*/
    max-height: 80%;
    overflow: auto;
}


@keyframes rotateLoading {
    from {
        transform: translate(-50%, -50%) rotate(0deg);
    }

    to {
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

.pnlPopUpLoadingPanel {
    position: absolute;
    top: 50%;
    left: 50%;
    border-radius: 50%;
    animation: rotateLoading 1.5s linear infinite;
}


.imgLoading {
    height: 50px;
    width: 50px;
}


.pnlCustomPopupFormContents {
    max-height: 600px;
    overflow: auto;
}

/*#endregion */



/*#region Feedback Messages */

.positiveMessage {
    color: var(--positiveMessageForeColor);
    font-weight: bold;
}


.negativeMessage {
    color: var(--negativeMessageForeColor);
    font-weight: bold;
}


.warningMessage {
    color: var(--warningMessageForeColor);
    font-weight: bold;
}


.informativeMessage {
    color: var(--informativeMessageForeColor);
    font-weight: bold;
}

/*#endregion */